Subject: bug#569: 23.0.60; OSX: make-network-process reuses existing file descriptors

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Fri, 18 Jul 2008 12:49:59 +0900

>>>>> On Thu, 17 Jul 2008 16:22:25 +0200, Markus Triska <[email-masked]> said:

>> This is because p2 and p3 are both created with infd=outfd=0, thus
>> closing the channel for p2 also closes that of p3.

> Commenting out a res_init call in process.c makes this go away for
> me. I do not know what other consequences this has though:

You can comment it out on Mac OS X, because calling `res_init' does
not make sense at all on that platform.  Neither does linking
libresolv.

  http://lists.gnu.org/archive/html/emacs-devel/2007-11/msg01467.html
  http://lists.gnu.org/archive/html/emacs-devel/2007-10/msg01254.html

So, it turns out to be not only meaningless, but also harmful on a
particular version (10.4) of Mac OS X.

				     YAMAMOTO Mitsuharu
				[email-masked]